local t = Def.ActorFrame {};

t[#t+1]=Def.Quad{
	InitCommand=cmd(vertalign,top;zoomto,SCREEN_WIDTH+1,42;diffuse,0,0,0,0.9);
};
t[#t+1]=Def.Quad{
	InitCommand=cmd(zoomto,SCREEN_WIDTH+1,5;vertalign,top;y,42;diffuse,color("1,0,0.3,1");fadeleft,0.3;faderight,0.3;);
};
t[#t+1] = LoadFont("Common Normal") .. {
	Name="HeaderText";
	Text=Screen.String("HeaderText");
	InitCommand=cmd(x,-SCREEN_CENTER_X+24;y,24;zoom,1;horizalign,left;shadowlength,0;maxwidth,300);
	OnCommand=cmd(skewx,-0.125;strokecolor,Color("Outline");diffuse,color("1,0,0.5,1");diffusetopedge,color("1,0,0.2,1");textglowmode,'TextGlowMode_Inner');
	UpdateScreenHeaderMessageCommand=function(self,param)
		self:settext(param.Header);
	end;
};

return t